<template>
  <div class="header header--trans">
    <div class="header__inner">
      <div class="header__login">
        <a v-ripple class="btn" href="#" data-popup-trigger="loginform">Login</a>
      </div>
      <div class="header__profile">
        <ul class="header__toggle">
          <li>
            <a class="open-menu" @click.stop="drawer = !drawer">
              <i class="fa fa-bars"></i>
              <span>Menu</span>
            </a>
          </li>
          <li>
            <a href="#">
              <i class="fa fa-search-plus"></i>
              <span>Explore</span>
            </a>
          </li>
        </ul>
      </div>

      <v-navigation-drawer v-model="drawer" absolute temporary right>
        <v-list dense>
          <v-list-item v-for="item in items" :key="item.title">
            <router-link :to="item.path">
              <i :class="'fa fa-' + item.icon"></i>
              <span>{{ item.title }}</span>
            </router-link>
          </v-list-item>
        </v-list>
      </v-navigation-drawer>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      drawer: null,
      items: [
        { title: 'Home', path: 'home', icon: 'home' },
        { title: 'Profile', path: 'profile', icon: 'user' },
        { title: 'Setting', path: 'setting', icon: 'cog' }
      ]
    };
  }
};
</script>

<style lang="scss">
@import './Header.scss';
</style>